Retrieve all credential data
Roles
Analytics Events
/v2/credentials/web-semanticReturns all available data for existing credentials:
- For credentials that were created with the
persistflag set totrue, the response contains both the credential and its metadata. - For credentials that were created with the persist flag set to
false, the response only contains the metadata (id,tag,credentialStatus,issuanceDate).
Analytic events
- CREDENTIAL_WEB_SEMANTIC_RETRIEVE_LIST_START
- CREDENTIAL_WEB_SEMANTIC_RETRIEVE_LIST_SUCCESS
- CREDENTIAL_WEB_SEMANTIC_RETRIEVE_LIST_FAIL
Authorization
bearerAuth In: header
Query Parameters
Optional tag to filter on.
Optional credential type to filter on.
Range size of returned list.
1 <= value <= 1000100Starting point for the list of entries.
Response Body
application/json
application/json
curl -X GET "https://example.com/v2/credentials/web-semantic"{ "nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM", "data": [ { "id": "873277c0-a162-11ea-8a1d-a111119347e6", "credential": { "@context": [ "https://www.w3.org/2018/credentials/v1" ], "type": [ "VerifiableCredential", "AlumniCredential" ], "issuer": { "id": "did:key:z6MkjBWPPa1njEKygyr3LR3pRKkqv714vyTkfnUdP6ToFSH5", "name": "https://tenant.vii.mattr.global" }, "issuanceDate": "2020-05-02T12:06:29.156Z", "credentialSubject": { "id": "did:key:z6Mkvji7zrwyFATXUzGNBSCnrPaZy7H3BWUnihrHvZdkEd9y", "givenName": "Jamie", "familyName": "Doe" }, "proof": { "type": "Ed25519Signature2018", "created": "2020-05-02T12:06:29Z", "jws": "EXAMPLE_JWS_TOKEN_eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c", "proofPurpose": "assertionMethod", "verificationMethod": "did:key:z6MkjBWPPa1njEKygyr3LR3pRKkqv714vyTkfnUdP6ToFSH5#z6Mkvji7zrwyFATXUzGNBSCnrPaZy7H3BWUnihrHvZdkEd9y" } }, "tag": "identifier123", "issuanceDate": "2020-05-02T12:06:29.156Z" }, { "id": "9043aa74-eb08-11ea-adc1-0242ac120002", "tag": "identifier124", "credentialStatus": { "id": "https://tenant.vii.mattr.global/v1/revocation-lists/cc641396-3750-43c8-b8b8-f30d74eb3fb3#1", "type": "RevocationList2020Status", "revocationListCredential": "https://tenant.vii.mattr.global/v1/revocation-lists/cc641396-3750-43c8-b8b8-f30d74eb3fb3", "revocationListIndex": 1 }, "issuanceDate": "2020-10-06T03:21:02.397Z" } ]}How would you rate this page?
Create a revocation message payload POST
Returns a message in JWM format that can be used to notify subjects based on their credential revocation status change. To send a notification to the Subject DID holder, use the returned payload with the [encrypt](#operation/encryptMessage) and [send](#operation/sendMessage) endpoints. ### **Analytic events** * CREDENTIAL_WEB_SEMANTIC_REVOCATION_MESSAGE_PAYLOAD_CREATE_START * CREDENTIAL_WEB_SEMANTIC_REVOCATION_MESSAGE_PAYLOAD_CREATE_SUCCESS * CREDENTIAL_WEB_SEMANTIC_REVOCATION_MESSAGE_PAYLOAD_CREATE_FAIL
Retrieve credential data GET
Returns all available data for an existing credential that matches the provided ID: - For credentials that were created with the `persist` flag set to `true`, the response contains both the credential and its metadata. - For credentials that were created with the persist flag set to `false`, the response only contains the metadata (`id`, `tag`, `credentialStatus`, `issuanceDate`) ### **Analytic events** * CREDENTIAL_WEB_SEMANTIC_RETRIEVE_START * CREDENTIAL_WEB_SEMANTIC_RETRIEVE_SUCCESS * CREDENTIAL_WEB_SEMANTIC_RETRIEVE_FAIL